import * as cloudwatch from '@aws-cdk/aws-cloudwatch';
import * as sns from '@aws-cdk/aws-sns';
import { Construct } from '@aws-cdk/core';
/**
 * Use an SNS topic as an alarm action
 */
export declare class SnsAction implements cloudwatch.IAlarmAction {
    private readonly topic;
    constructor(topic: sns.ITopic);
    bind(_scope: Construct, _alarm: cloudwatch.IAlarm): cloudwatch.AlarmActionConfig;
}
